<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="editUser"
                header="Editar Registro"
                widgetVar="detalleEditar"
                modal="true"
                resizable="false"
                closable="true"
                width="600" >
                <h:panelGroup id="detalleEditar">
                    <h:form id="edit">
                        <h:panelGrid columns="3" >
                            <p:column>
                                <p:inputText value="#{tlimonMB.tarimaSeleccionado.id}" id="id" type="hidden" />
                            </p:column>
                            <p:column> 
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="id2" value="Id : " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id2" value="#{tlimonMB.tarimaSeleccionado.id}" readonly="true" style="width: 350px" required="true" requiredMessage="El campo cajas es requerido"/>
                            </p:column>
                            <p:column> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="nombre" value="Nombre: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="nombre" value="#{tlimonMB.tarimaSeleccionado.nombre}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            <p:column> 
                            </p:column>                             
                            
                            <p:column >
                                <div style="text-align: center;">
                                    <p:commandButton 
                                        value="Modificar" 
                                        style="font-size:  100%"
                                        icon="ui-icon-pencil"
                                        action="#{tlimonMB.editartarima(tlimonMB.tarimaSeleccionado.id,tarimaMB.tarimaSeleccionado)}">                        
                                    </p:commandButton>
                                </div>
                            </p:column>
                            <p:column>
                                <div style="text-align: center;">
                                    <p:commandButton
                                        value="Cerrar"
                                        type="button"
                                        style="font-size:  100%" 
                                        icon="ui-icon-circle-close" 
                                        onclick="PF('detalleEditar').hide();">
                                    </p:commandButton>
                                </div>
                            </p:column>
                            
                             <p:column> 
                                 
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
